QGIS Application - Bug report #12290

proxy settings only works one time, and then QGIS "forgets" the settings

2015-03-02 05:33 AM - Joachim Deutmann

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Network

Affected QGIS version:2.6.0 Regression?:

Operating System: Windows Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20469
Description

| am forced to use a proxy-server to use webservices in QGIS 2.6. At the same time i use also webservices from my internal server. For
this services, the proxy is not responsible for, so i must set URL exceptions. On first start of QGIS, i set the parameters in the
networkdialog (host, port, user, password, proxytyp (HttpProxy) and, very important, the URL exception (here "http://172.")). After that,

QGIS works as expected. If i close QGIS and start it again, QGIS "forgets" the settings. Now it is only possible to load external

webservices. The local services are not available from now on. To solve the problem, i must delete the "proxy” entry in the windows

registry. Then i must set all parameters like on first start of QGIS. This is reproduceable again and again and again...

In QGIS 1.8, it all works fine for a long time since today and in the future i think..

History

#1 - 2015-05-10 01:03 AM - Giovanni Manghi
- Target version changed from Version 2.8 to Version 2.8.2

#2 - 2015-05-10 01:40 AM - Jiirgen Fischer
- Target version changed from Version 2.8.2 to Future Release - High Priority
- Status changed from Open to Feedback

not reproducable here in master.

#3 - 2015-05-22 05:17 AM - Saber Razmjooei
- Status changed from Feedback to Closed

Not reproducable in 2.8.2 and master.
